import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import path from 'path'
import { vitePluginForArco } from '@arco-plugins/vite-vue'

export default defineConfig({
  plugins: [
    vue(),
    vitePluginForArco({
      style: 'css'
    })
  ],
  resolve: {
    alias: {
      '@': path.resolve(__dirname, 'src')
    }
  },
  server: {
    host: true,
    proxy: {
      '/cloud': {
        target: 'https://xxoo365.top/cloud',
        changeOrigin: true,
        rewrite: path => path.replace(/^\/cloud/, '')
      }
    }
  }
})